Class | Symbol
In: | lib/json/add/symbol.rb
Parent: | Object

Symbol serialization/deserialization

### Methods

as_json json_create to_json

### Public Class methods

json_create(o)

Deserializes JSON string by converting the `string` value stored in the object to a Symbol

### Public Instance methods

as_json(*)

Returns a hash, that will be turned into a JSON object and represent this object.

to_json(*a)

Stores class name (Symbol) with String representation of Symbol as a JSON string.

[Validate]